### Hierarchy

- HeaderItem

## Index

### Inputs

- activeLinkClass
- isCurrentPage
- route
- routeExtras
- useRouter
- href

### Outputs

- navigation

### Constructors

- constructor

### Properties

- _href
- activeLinkClass
- domSanitizer
- isCurrentPage
- navigation
- route
- routeExtras
- router
- useRouter

### Accessors

- href

### Methods

- navigate

## Constructors

### constructor

- new HeaderItem(domSanitizer: DomSanitizer, router: Router): HeaderItem

- - Defined in src/ui-shell/header/header-item.component.ts:91

  #### Parameters

  - ##### domSanitizer: DomSanitizer

  - ##### router: Router

  #### Returns HeaderItem

## Properties

### Protected _href

_href: string = "javascript:void(0)"

- Defined in src/ui-shell/header/header-item.component.ts:91

### activeLinkClass

@Input()
activeLinkClass: string | string[]

- Defined in src/ui-shell/header/header-item.component.ts:67

### Protected domSanitizer

domSanitizer: DomSanitizer

- Defined in src/ui-shell/header/header-item.component.ts:93

### isCurrentPage

@Input()
isCurrentPage: boolean

- Defined in src/ui-shell/header/header-item.component.ts:72

### navigation

@Output()
navigation: EventEmitter<Promise<boolean>> = new EventEmitter<Promise<boolean>>()

- Defined in src/ui-shell/header/header-item.component.ts:89

### route

@Input()
route: any[]

- Defined in src/ui-shell/header/header-item.component.ts:78

### routeExtras

@Input()
routeExtras: any

- Defined in src/ui-shell/header/header-item.component.ts:84

### Protected router

@Optional()
router: Router

- Defined in src/ui-shell/header/header-item.component.ts:93

### useRouter

@Input()
useRouter: boolean = false

- Defined in src/ui-shell/header/header-item.component.ts:62

## Accessors

### href

@Input()
href:

- Defined in src/ui-shell/header/header-item.component.ts:47
- Defined in src/ui-shell/header/header-item.component.ts:55

## Methods

### navigate

- navigate(event: any): void

- - Defined in src/ui-shell/header/header-item.component.ts:95

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc